ubuntu/+source/lvm2:ubuntu/xenial

Last commit made on 2016-04-16
Get this branch:
git clone -b ubuntu/xenial https://git.launchpad.net/ubuntu/+source/lvm2
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/xenial
Repository:
lp:ubuntu/+source/lvm2

Recent commits

0fa412e... by Steve Langasek on 2016-04-16

Import patches-unapplied version 2.02.133-1ubuntu10 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 4fad27c57ad9353105c72e9bbd0492fdb05b1b01

New changelog entries:
  * Cherry-pick change from lvm2 2.02.133-2 in Debian to move event plugins
    back onto the main library patch, which fixes problems with monitoring
    failing for snapshots and raid volumes. Closes: #807279, LP: #1556451,
    LP: #1561228.

4fad27c... by Simon D├ęziel on 2016-04-11

Import patches-unapplied version 2.02.133-1ubuntu9 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 48cd5ba643ea03926c65ea112d5b4f769dc053a5

New changelog entries:
  * Do not start when inside a container (LP: #1568954)

48cd5ba... by Martin Pitt on 2016-03-30

Import patches-unapplied version 2.02.133-1ubuntu8 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 70a566843022a652feeed8faa96bf513def15f45

New changelog entries:
  * Drop debian/85-lvm2.rules. This is redundant now, VGs are already
    auto-assembled via lvmetad and 69-lvm-metad.rules. This gets rid of using
    watershed, which causes deadlocks due to blocking udev rule processing.
    (LP: #1560710)
  * debian/rules: Put back initramfs-tools script to ensure that the root and
    resume devices are activated (lvmetad is not yet running in the initrd).
  * debian/rules: Put back activation systemd generator, to assemble LVs in
    case the admin disabled lvmetad.
  * Make debian/initramfs-tools/lvm2/scripts/init-premount/lvm2 executable and
    remove spurious chmod +x Ubuntu delta in debian/rules.

70a5668... by Matthias Klose on 2016-02-12

Import patches-unapplied version 2.02.133-1ubuntu7 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 4b6934a81f38758e83df574ed70f1ae4c37d12a3

New changelog entries:
  * Build-depend on libcorosync-common-dev and others, instead of
    libcorosync-dev.

4b6934a... by Dimitri John Ledkov on 2016-02-09

Import patches-unapplied version 2.02.133-1ubuntu5 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: cf54b1ad012bf3b107a1fbe8a646c24b910873f5

New changelog entries:
  * Drop udev rules from lvm2-udeb package. Otherwise, lvm groups and
    volumes are activated behind partman's back e.g. after dasd drive
    activation. And thus prevents dasdfmt from succeeding. LP: #1536664
  * Drop watershed-udeb dependency, no longer needed.
  * Keep dmsetup udev rules.

cf54b1a... by Billy Olsen on 2016-01-28

Import patches-unapplied version 2.02.133-1ubuntu4 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 759b1dc1ca28641671f7aec1afd07eb97a2c1673

New changelog entries:
  * Remove the init script dependency on cman_tool. (LP: #1089013)
    - debian/clvm.init: check corosync cluster status since the cman
      tooling isn't available in Xenial. Change start/stop dependencies
      to dlm instead of cman and openais since neither cman nor openais
      are available.

759b1dc... by Matthias Klose on 2016-01-19

Import patches-unapplied version 2.02.133-1ubuntu3 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: d5f418f8cfb28f0ae1f939ed18bd15849fa1f2f7

New changelog entries:
  * No-change rebuild to drop python3.4 support.

d5f418f... by Martin Pitt on 2015-12-16

Import patches-unapplied version 2.02.133-1ubuntu2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 3f4861ea23b3df73684fe454425bf9b993324e43

New changelog entries:
  * Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This breaks
    the circular dependency that causes upgrade failures. As dmsetup is
    "Priority: required", this has no other practical consequences.
    (Closes: #586424, LP: #1032823)

3f4861e... by Martin Pitt on 2015-12-10

Import patches-unapplied version 2.02.133-1ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: a0833851cac01ae1940a303708f0f3fb21eee72f

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/rules:
      + copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/{dmsetup,lvm2}-udeb.install: install udev rules in udebs
      (Debian #504341).
    - auto-start VGs as their PVs are discovered (Debian #455979):
      + add debian/85-lvm2.rules: use watershed plus the sledgehammer of
        vgscan/vgchange to turn on VGs as they come online.
      + debian/initramfs-tools/lvm2/hooks/lvm2: Add 85-lvm2.rules to the list
        of udev rules to copy and depend on udev.
      + debian/control:
        - add versioned Depend on watershed in lvm2 for udev rules.
        - add Depends on watershed-udeb in lvm2-udeb for udev rules.
      + debian/rules:
        - do not install local-top scripts since Ubuntu mounts root using udev.
        - do not install activation systemd generator for lvm2, since udev
          starts LVM.
        - continue to build clvm support.
      + debian/lvm2.postinst: handle missing lvm2 init script.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - remaining changes to upstream event manager packages (Debian #514706):
      + debian/rules: enable dmeventd during configure.
      + debian/dmeventd.{8,manpages}: install dmeventd files.
    - rename debian/clvm.defaults to debian/clvm.default so it is installed
      correctly. (Debian #569292)
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/rules: make sure dmsetup and lvm2 initramfs-tools scripts are
      executable. When the Ubuntu-specific ones are added with a patch,
      they may lose their executable bit.
    - Add and install clvmd resource agent
    - debian/{clvmd.ra,clvm.init}:
      - create /run/lvm if it doesn't exist.
    - debian/clvm.init:
      - exit 3 if not running on status action.
    - Call dh_installman so that our dmeventd manpage actually gets installed
     Install the missing fsadm manpage.
    - Complete libdevmapper-dev multiarch: (Debian #731294)
      - mark libdevmapper-dev M-A: same
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
  * Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
    properly synthesize LVM LV change events with udevadm trigger, so
    if we use LVM, we need to let it finish; otherwise we get missing LV
    symlinks. This hack used to be in udev, but really belongs into lvm2.
    (LP: #1185394)
  * Add Replaces: for udev (<< 228-2ubuntu2), as the lvm2.{init,service} dummy
    jobs move from udev to lvm2. Note that we don't set a Breaks:, as
    unfortunately previous (released) udev prerm scripts don't support
    "deconfigure"; so use a versioned dependency instead. This can be dropped
    after 16.04 LTS.

a083385... by Bastian Blank on 2015-11-01

Import patches-unapplied version 2.02.133-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0347e4dcf9ddb34161f1f3f302337386962f1f64

New changelog entries:
  * New upstream version.
  * Remove references to EVMS. (closes: #794405)
  * Remove support for cman and openais.
  * Make libdevmapper-dev depend on libudev-dev. (closes: #797800)
  * Use debhelper compat level 9.
  * Cleanup old systemd services.
  * Add python bindings. (closes: #773984)
  * Update Standards-Version to 3.9.6, no changes.